<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="44" short-name="decreasing-on-cycle" url="https://polygon.codeforces.com/p2cjQJn/tourist/decreasing-on-cycle">
    <names>
        <name language="english" value="Defective Script"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>77</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen-yes -n 10 -minstart 0 -maxstart 10 -minops 0 -maxops 10 -r 3" method="generated"/>
                <test cmd="gen-yes -n 100 -minstart 0 -maxstart 10 -minops 0 -maxops 100 -r 3" method="generated"/>
                <test cmd="gen-yes -n 1000 -minstart 0 -maxstart 10 -minops 0 -maxops 1000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 10000 -minstart 0 -maxstart 10 -minops 0 -maxops 10000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 0 -maxstart 10 -minops 0 -maxops 200000 -r 3" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 10 -maxa 11" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 100 -maxa 110" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 1000 -maxa 1100" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 999999990 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 10 -mina 0 -maxa 10" method="generated"/>
                <test cmd="gen-rand -n 100 -mina 0 -maxa 100" method="generated"/>
                <test cmd="gen-rand -n 1000 -mina 0 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 100000 -mina 0 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 0 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 100000000 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 100000 -mina 100000000 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 100000 -mina 1000 -maxa 10000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 1000 -maxa 10000" method="generated"/>
                <test cmd="gen-yes -n 10 -minstart 0 -maxstart 10 -minops 0 -maxops 5 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 1 -maxstart 1 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 2 -maxstart 2 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 3 -maxstart 3 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 1 -maxstart 11 -minops 0 -maxops 100000000 -r 1" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 2 -maxstart 22 -minops 0 -maxops 100000000 -r 2" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 3 -maxstart 33 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 0 -maxstart 500000000 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 900000000 -maxstart 900000000 -minops 0 -maxops 10000000 -r 3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 100000000 -maxstart 110000000 -minops 0 -maxops 40000000 -r 3" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 0 -maxa 10" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 0 -maxa 1000000" method="generated"/>
                <test cmd="gen-rand-multi -t 10000 -minn 2 -maxn 200000 -mina 0 -maxa 1000000000" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 0 -maxstart 10 -minops 0 -maxops 5 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 1 -maxstart 1 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 2 -maxstart 2 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 3 -maxstart 3 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 1 -maxstart 11 -minops 0 -maxops 100000000 -r 1" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 2 -maxstart 22 -minops 0 -maxops 100000000 -r 2" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 3 -maxstart 33 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 0 -maxstart 500000000 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 2000 -minn 100 -maxn 200000 -minstart 0 -maxstart 500000000 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 100 -minn 2000 -maxn 200000 -minstart 0 -maxstart 500000000 -minops 0 -maxops 100000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 900000000 -maxstart 900000000 -minops 0 -maxops 10000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 100000000 -maxstart 110000000 -minops 0 -maxops 40000000 -r 3" method="generated"/>
                <test cmd="gen-yes-multi -t 10000 -minn 2 -maxn 200000 -minstart 1 -maxstart 1 -minops 0 -maxops 1 -r 3" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 1000000000 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 999999999 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 999999990 -maxa 1000000000" method="generated"/>
                <test cmd="gen-rand -n 200000 -mina 999999900 -maxa 1000000000" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 999999900 -maxstart 999999900 -minops=0 -maxops=33 -r=3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 999999000 -maxstart 999999000 -minops=0 -maxops=333 -r=3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 999990000 -maxstart 999990000 -minops=0 -maxops=3333 -r=3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 999900000 -maxstart 999900000 -minops=0 -maxops=33333 -r=3" method="generated"/>
                <test cmd="gen-yes -n 200000 -minstart 999000000 -maxstart 999000000 -minops=0 -maxops=333333 -r=3" method="generated"/>
                <test cmd="gen_special -n=200000 -a=0 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499999999 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499999998 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=499999995" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499999977 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499999900 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=499999000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499990000 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=499900000 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=499000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=490000000 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500000000 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500000001 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=500000005" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500000014 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500000042 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500000124 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=500000429" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500004429 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500044429 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=500444429 -b=1000000000" method="generated"/>
                <test cmd="gen_special -n=200000 -a=1000000000 -b=504444429" method="generated"/>
                <test cmd="gen_special -n=200000 -a=544444429 -b=1000000000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen-rand-multi.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-rand-multi.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-rand.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-rand.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-yes-multi.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-yes-multi.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen-yes.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen-yes.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
                <testset>
                    <test-count>6</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="wrong-answer">
                <source path="solutions/290684921_zidder_wa21.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290684921_zidder_wa21.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290685739_zidder_wa21.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290685739_zidder_wa21.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290687158_zidder_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290687158_zidder_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290840702_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290840702_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290845226_smalyarovsky_shevlopmes_TimDee_wa12.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290845226_smalyarovsky_shevlopmes_TimDee_wa12.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290845754_smalyarovsky_shevlopmes_TimDee_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290845754_smalyarovsky_shevlopmes_TimDee_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290885934_enot110_tl12.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/290885934_enot110_tl12.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290889813_enot110_wa12.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/290889813_enot110_wa12.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290894305_enot110_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/290894305_enot110_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291128991_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291128991_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/d_gk.java" type="java21"/>
                <binary path="solutions/d_gk.jar" type="jar"/>
            </solution>
            <solution tag="main">
                <source path="solutions/golikovnik_ac.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_ac.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-memory-limit-exceeded">
                <source path="solutions/golikovnik_slow.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/golikovnik_slow.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>2</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list>
            <stress index="2" path="stresses/002"/>
            <stress index="1" path="stresses/001"/>
        </list>
    </stresses>
    <documents>
        <document path="documents/description.txt" type="text/plain"/>
        <document path="documents/tutorial.txt" type="text/plain"/>
    </documents>
    <tags>
        <tag value="adhoc"/>
    </tags>
</problem>
